---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.26/23"],"mac_address":"7a:be:ac:82:00:1b","gateway_ips":["10.130.0.1"],"ip_address":"10.130.0.26/23","gateway_ip":"10.130.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.26"
          ],
          "mac": "7a:be:ac:82:00:1b",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.130.0.26"
          ],
          "mac": "7a:be:ac:82:00:1b",
          "default": true,
          "dns": {}
      }]
  creationTimestamp: "2020-05-26T14:24:48Z"
  labels:
    app: pruner
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"cec7cd1f-d931-4d68-8661-c4baa67fa45b"}:
            .: {}
            f:apiVersion: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"pruner"}:
            .: {}
            f:args: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:limits:
                .: {}
                f:cpu: {}
                f:memory: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
              f:runAsUser: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeName: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:runAsUser: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"kubelet-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: cluster-kube-controller-manager-operator
    operation: Update
    time: "2020-05-26T14:24:48Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:24:48Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:24:50Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.130.0.26"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:24:55Z"
  name: revision-pruner-6-ip-10-0-134-165.ec2.internal
  namespace: openshift-kube-controller-manager
  ownerReferences:
  - apiVersion: v1
    kind: ConfigMap
    name: revision-status-6
    uid: cec7cd1f-d931-4d68-8661-c4baa67fa45b
  resourceVersion: "14441"
  selfLink: /api/v1/namespaces/openshift-kube-controller-manager/pods/revision-pruner-6-ip-10-0-134-165.ec2.internal
  uid: 96c010d0-82bb-4074-b282-46dcfb3a2557
spec:
  containers:
  - args:
    - -v=4
    - --max-eligible-revision=7
    - --protected-revisions=1,2,3,4,5,6,7
    - --resource-dir=/etc/kubernetes/static-pod-resources
    - --static-pod-name=kube-controller-manager-pod
    command:
    - cluster-kube-controller-manager-operator
    - prune
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9f008c7ff3d155484d18a2ab063aab52a600c85e88d7955a125e591d756d1507
    imagePullPolicy: IfNotPresent
    name: pruner
    resources:
      limits:
        cpu: 150m
        memory: 100M
      requests:
        cpu: 150m
        memory: 100M
    securityContext:
      privileged: true
      runAsUser: 0
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/
      name: kubelet-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: installer-sa-token-6c6cz
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: installer-sa-dockercfg-tddww
  nodeName: ip-10-0-134-165.ec2.internal
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    runAsUser: 0
  serviceAccount: installer-sa
  serviceAccountName: installer-sa
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /etc/kubernetes/
      type: ""
    name: kubelet-dir
  - name: installer-sa-token-6c6cz
    secret:
      defaultMode: 420
      secretName: installer-sa-token-6c6cz
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:48Z"
    reason: PodCompleted
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:55Z"
    reason: PodCompleted
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:55Z"
    reason: PodCompleted
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:24:48Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://b30f5bf77d96cbece9f81616f25735311b8b620ba7101366b7495f3451c63519
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9f008c7ff3d155484d18a2ab063aab52a600c85e88d7955a125e591d756d1507
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9f008c7ff3d155484d18a2ab063aab52a600c85e88d7955a125e591d756d1507
    lastState: {}
    name: pruner
    ready: false
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://b30f5bf77d96cbece9f81616f25735311b8b620ba7101366b7495f3451c63519
        exitCode: 0
        finishedAt: "2020-05-26T14:24:54Z"
        reason: Completed
        startedAt: "2020-05-26T14:24:54Z"
  hostIP: 10.0.134.165
  phase: Succeeded
  podIP: 10.130.0.26
  podIPs:
  - ip: 10.130.0.26
  qosClass: Guaranteed
  startTime: "2020-05-26T14:24:48Z"
